All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess.metadata
Class StoredProcessOptions

    com.sas.services.storedprocess.metadata.StoredProcessOptions

All Implemented Interfaces:
  java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class StoredProcessOptions

implements java.io.Serializable

Options object used to control the type and behavior of the Stored Process service object. Typical use is to obtain a StoredProcessOptions object by invoking the `StoredProcessOptions()` constructor and then calling various setters to configure the object. After configuration, the object is used as a parameter to one of the newServiceObject methods of `StoredProcessInterface`. Once the parameter is consumed by the called newServiceObject method, the object is sealed and calling any setters after it is sealed results in the setter method throwing an IllegalStateException.

The effect of the various settings is comprehensively covered in the documentation for `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

Since:
  9.2
See Also:
  Serialized Form

Constructor Summary
`StoredProcessOptions()` Constructs a StoredProcessOptions object.

Method Summary
`SessionContextInterface` | `getSessionContextInterface()`
`com.sas.util.UsageVersion` | `getUsageVersion()`
`boolean` | `isSealed()` Describes whether this options object is sealed.
`void` | `seal()` Seal the options object.
`void` | `setSessionContextInterface(SessionContextInterface sessionContext)` Sets the SessionContextInterface.

Constructor Detail

### StoredProcessOptions

    public StoredProcessOptions()

  Constructs a StoredProcessOptions object. The object is constructed with the following settings:
  - SessionContextInterface set to null.
  - UsageVersion set to `StoredProcessInterface.NINETWO_VERSION` and is only used for manually created stored processes.

  For complete details of the effects of all settings see `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

Method Detail

### setSessionContextInterface

    public void setSessionContextInterface(SessionContextInterface sessionContext)

  Sets the SessionContextInterface.

  For complete details of the effects of all settings see `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

  Parameters:
    `sessionContext` - see above
  Throws:
    `java.lang.IllegalStateException` - if the object is sealed

### getSessionContextInterface

    public SessionContextInterface getSessionContextInterface()

### getUsageVersion

    public com.sas.util.UsageVersion getUsageVersion()

### isSealed

    public boolean isSealed()

  Describes whether this options object is sealed. The object is sealed once the call to newServiceObject (in which it is a parameter) is invoked.

  Returns:
    the sealed status

### seal

    public void seal()

  Seal the options object.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.